# This example uses curl to access the Impact JSON API.
# When run it creates a new service.


ZENOSS_USERNAME=admin
ZENOSS_PASSWORD=zenoss
ZENOSS_HOST=localhost

ORGANIZER=/zport/dmd/DynamicServices
NEW_SERVICE_NAME=shell_api_example


DATA="{\"contextUid\":\"$ORGANIZER\", \"id\":\"$NEW_SERVICE_NAME\"}"

echo "This creates a service in $ORGANIZER named $NEW_SERVICE_NAME"
echo "If successful the below output will contain success:true"
echo

curl \
	-u "${ZENOSS_USERNAME}:${ZENOSS_PASSWORD}" \
	-X POST \
	-H "Content-Type: application/json" \
	-d "{\"action\":\"ImpactRouter\",\"method\":\"addNode\",\"data\":[${DATA}], \"tid\":1}" \
	"http://${ZENOSS_HOST}:8080/zport/dmd/enterpriseservices_router"

echo
